/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 CASSIDIAN
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.webservices.listener.bean;


/**
 * Just a configuration bean (to ease tests and CXF deployment)
 * 
 * @author Jérémie Doucy, CASSIDIAN, an EADS company
 * 
 */
public class WarcConfigBean extends FolderListenerConfigBean {


	private String acceptedMessagePattern;


	private String acceptedHeaders;


	private String acceptedContentTypePattern;


	private String exposedAsPrefix;


	public String getAcceptedMessagePattern() {
		return this.acceptedMessagePattern;
	}


	public void setAcceptedMessagePattern(final String acceptedMessagePattern) {
		this.acceptedMessagePattern = acceptedMessagePattern;
	}


	public String getAcceptedHeaders() {
		return this.acceptedHeaders;
	}


	public void setAcceptedHeaders(final String acceptedHeaders) {
		this.acceptedHeaders = acceptedHeaders;
	}


	public String getAcceptedContentTypePattern() {
		return this.acceptedContentTypePattern;
	}


	public void setAcceptedContentTypePattern(final String acceptedContentTypePattern) {
		this.acceptedContentTypePattern = acceptedContentTypePattern;
	}


	public String getExposedAsPrefix() {
		return this.exposedAsPrefix;
	}


	public void setExposedAsPrefix(final String exposedAsPrefix) {
		this.exposedAsPrefix = exposedAsPrefix;
	}

}
